Name:          python-reportlab
Version:       3.5.12
Release:       1mamba
Summary:       An Open Source Python library for generating PDFs and graphics
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://www.reportlab.org/
Source:        https://pypi.debian.net/reportlab/reportlab-%{version}.tar.gz
Source1:       http://www.reportlab.com/ftp/pfbfer-20070710.zip
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libfreetype-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: python-Imaging
BuildRequires: python-xml
Requires:      python >= %python_version
Requires:      python-pip
Requires:      python-Pillow
Provides:      ReportLab
Obsoletes:     ReportLab
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An Open Source Python library for generating PDFs and graphics.

%package doc
Group:         Documentation
Summary:       Documentation package for %{name}
Requires:      %{name} = %{?epoch:epoch:}%{version}-%{release}

%description doc
An Open Source Python library for generating PDFs and graphics.
This package contains the documentation files.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n reportlab-%{version}
%{__unzip} -qo -d src/reportlab/fonts/ %{S:1}
find src -name '*.py' -exec sed -i -e '\,^#!/,d' '{}' ';'

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%if "%{?with_pyver}" == ""
# make documentation
PYTHONPATH="$(pwd)/$(ls -d build/lib*)" %{__python} docs/genAll.py
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

# remove useless testdemos
rm -rf demos/tests

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE.txt

%if "%{?with_pyver}" == ""
%files doc
%defattr(-,root,root)
%doc docs/*.pdf
%doc demos tools
%doc README.txt
%endif

%changelog
* Wed Dec 05 2018 Automatic Build System <autodist@mambasoft.it> 3.5.12-1mamba
- automatic version update by autodist

* Sat Dec 01 2018 Automatic Build System <autodist@mambasoft.it> 3.5.11-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 3.5.10-1mamba
- automatic version update by autodist

* Sat Oct 20 2018 Automatic Build System <autodist@mambasoft.it> 3.5.9-1mamba
- automatic version update by autodist

* Sun Sep 30 2018 Automatic Build System <autodist@mambasoft.it> 3.5.8-1mamba
- automatic version update by autodist

* Sun Sep 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.5.6-1mamba
- update to 3.5.6

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-2mamba
- require python-Pillow and python-pip

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sat Sep 12 2015 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sat May 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.44-2mamba
- added python3 subpackage

* Wed Feb 18 2015 Automatic Build System <autodist@mambasoft.it> 3.1.44-1mamba
- automatic version update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 3.1.8-1mamba
- automatic version update by autodist

* Sun Feb 23 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-2mamba
- updated source font file also to fix download hanging python process on arm

* Sat Feb 15 2014 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7-1mamba
- python 2.7 mass rebuild

* Sun Oct 28 2012 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Tue Oct 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.5-1mamba
- package renamed from ReportLab to python-reportlab
- added doc package

* Thu Sep 04 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.1-1mamba
- package created by autospec
